Overview
Comment: | Fixed KitDLL Build script to correctly create VFS directory before calling
make
Added KitDLL cleaning to main kitcreator top-level build script Updated to allow KitDLL to ship |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
f5471797989ba3b54b092f42a7dd1290 |
User & Date: | rkeene on 2010-09-30 06:24:04 |
Other Links: | manifest | tags |
Context
2010-09-30
| ||
06:25 | Fixed KitDLL cleanup check-in: 581ba55290 user: rkeene tags: trunk | |
06:24 |
Fixed KitDLL Build script to correctly create VFS directory before calling
make
Added KitDLL cleaning to main kitcreator top-level build script Updated to allow KitDLL to ship check-in: f547179798 user: rkeene tags: trunk | |
05:54 | Added kitdll top-level build script check-in: f05f6abdf1 user: rkeene tags: trunk | |
Changes
Modified build/pre.sh from [801a4c1f97] to [af3b94cbc4].
︙ | ︙ | |||
17 18 19 20 21 22 23 | make zipvfs.tcl.h make distclean ) || exit 1 rm -rf tcl/patchscripts/ | < < | 17 18 19 20 21 22 23 24 | make zipvfs.tcl.h make distclean ) || exit 1 rm -rf tcl/patchscripts/ find . -name '.*.sw?' -type f | xargs rm -f |
Modified kitcreator from [f500eec8e3] to [10513cf856].
︙ | ︙ | |||
18 19 20 21 22 23 24 | if [ "$1" = "distclean" ]; then shift mode="distclean" fi # Define the list of all packages, for cleaning purposes | | > | 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 | if [ "$1" = "distclean" ]; then shift mode="distclean" fi # Define the list of all packages, for cleaning purposes KITCREATOR_ALLPKGS="kitsh tcl tclvfs zlib tk itcl mk4tcl thread kitdll" for pkg in ${KITCREATOR_ALLPKGS}; do rm -f "${pkg}/build.log" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi done # We're all done if we're in clean or distclean mode if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then rm -f tclkit-* rm -f libtcl.* exit 0 fi # Add packages implied by the additional arguments if [ -z "${KITCREATOR_PKGS}" ]; then KITCREATOR_PKGS="tk itcl mk4tcl" |
︙ | ︙ | |||
86 87 88 89 90 91 92 93 94 95 | echo "Failed to build:${failedpkgs}" fi if [ "${buildfailed}" != "0" ]; then echo 'WARNING: Build is likely incomplete or failed.' >&2 fi cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}" exit "${buildfailed}" | > | 87 88 89 90 91 92 93 94 95 96 97 | echo "Failed to build:${failedpkgs}" fi if [ "${buildfailed}" != "0" ]; then echo 'WARNING: Build is likely incomplete or failed.' >&2 fi cp 'kitdll/build'/kitdll-*/libtcl.* "$(basename 'kitdll/build'/kitdll-*/libtcl.* | sed "s@\..*\$@-${TCLVERS}&@")" >/dev/null 2>/dev/null cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}" exit "${buildfailed}" |
Modified kitdll/build.sh from [a2f7dfd11c] to [d547391b05].
︙ | ︙ | |||
32 33 34 35 36 37 38 | break fi done # Cleanup, just incase the incoming directory was not pre-cleaned ${MAKE:-make} distclean >/dev/null 2>/dev/null | | < < < < < < < < > > > > > > > > > > | 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 | break fi done # Cleanup, just incase the incoming directory was not pre-cleaned ${MAKE:-make} distclean >/dev/null 2>/dev/null rm -rf "starpack.vfs" # Create VFS directory mkdir "starpack.vfs" mkdir "starpack.vfs/lib" ## Copy in required built directories cp -r "${OTHERPKGSDIR}"/tcl/out/* 'starpack.vfs/' cp -r "${OTHERPKGSDIR}"/tclvfs/out/* 'starpack.vfs/' cp -r "${OTHERPKGSDIR}"/thread/out/* 'starpack.vfs/' ## Rename the "vfs" package directory to what "boot.tcl" expects mv 'starpack.vfs/lib'/vfs* 'starpack.vfs/lib/vfs' ## Install "boot.tcl" cp 'boot.tcl' 'starpack.vfs/' # Build KitDLL echo "Running: ./configure --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}" ./configure --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} echo "Running: ${MAKE:-make}" ${MAKE:-make} TCLSH_NATIVE="${TCLSH_NATIVE}" || exit 1 # Strip the KitDLL of debugging symbols, if possible "${STRIP:-strip}" -g libtcl.* >/dev/null 2>/dev/null exit 0 ) || exit 1 exit 0 |